000012063 - Authentication with SSH tools fails on Solaris   asks for a password instead of passcode

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000012063
Applies ToRSA PAM Agent.
Solaris (all supported versions)
Solaris 10
IssueAuthentication with SSH tools fails on Solaris , asks for a password instead of passcode when using Agent for PAM.
CauseAgent for PAM is not supported with Sun_SSH
Resolution

check the version of ssh with
ssh -V
If it shows Sun_SSH  the Agent for PAM is is not supported with this kind of SSH. You need to get a version of OpenSSH that the Agent for PAM is supported with.

For example, the Agent 7.1 for PAM is supported with OpenSSH 6.0p1 (or a newer 6.0 patch) .   OpenSSH needs to be compiled from source before installation. See the documentation for Solaris and OpenSSH for detailed instructions.

Legacy Article IDa63714

Attachments

    Outcomes